Bug 494993 - crash by changing width or height
crash by changing width or height
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yakuake (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 20:01 EDT by Jan Bušta
Modified: 2009-05-19 02:24 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.9.4-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-13 14:26:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (7.26 KB, application/octet-stream)
2009-04-08 20:01 EDT, Jan Bušta
no flags Details
Backtrace (7.33 KB, text/plain)
2009-04-15 19:07 EDT, Milos Jakubicek
no flags Details
Upstream patch (2.05 KB, patch)
2009-04-16 19:03 EDT, Milos Jakubicek
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 188858 None None None Never

  None (edit)
Description Jan Bušta 2009-04-08 20:01:19 EDT
Created attachment 338826 [details]
backtrace

Description of problem:
When I try to change with or height in yakuake it crashes, it happens after last update (to kdebase-4.2.2-2.fc10.x86_64).

Version-Release number of selected component (if applicable):
yakuake-2.9.4-1.fc10.x86_64
Comment 1 Johan Cwiklinski 2009-04-09 02:01:22 EDT
Since the issue is not reproductible with latest stable KDE update, I think the bug should better be reported against testing kdebase.
Comment 2 Milos Jakubicek 2009-04-09 04:27:22 EDT
It is reproducible with current F10 updated from updates-testing.
Comment 3 Milos Jakubicek 2009-04-15 17:29:01 EDT
This seems to be caused by Qt 4.5 (currently present in updates-testing), added external link to bugs.kde.org, cc'ing Qt maintainers.
Comment 4 Milos Jakubicek 2009-04-15 19:07:46 EDT
Created attachment 339761 [details]
Backtrace

Attached new backtrace with debugging symbols.
Comment 5 Rex Dieter 2009-04-15 19:24:22 EDT
and mine:

Application: Yakuake (yakuake), signal SIGSEGV
[Current thread is 1 (Thread 0xb8093780 (LWP 4163))]

Thread 2 (Thread 0xb6a27b70 (LWP 4164)):
#0  0x00af9422 in __kernel_vsyscall ()
#1  0x031ec531 in select () from /lib/libc.so.6
#2  0x00c14345 in QProcessManager::run (this=0x9ff91e8) at io/qprocess_unix.cpp:305
#3  0x00b43e8e in QThreadPrivate::start (arg=0x9ff91e8) at thread/qthread_unix.cpp:189
#4  0x00167965 in start_thread (arg=0xb6a27b70) at pthread_create.c:297
#5  0x031f3e7e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb8093780 (LWP 4163)):
[KCrash Handler]
#6  0x0412af12 in QMenu::findIdForAction (this=0xa08e4a8, act=0xa08b1e8) at widgets/qmenu.cpp:3157
#7  0x0412c6dd in QMenuPrivate::activateCausedStack (this=0xa0924d8, causedStack=@0xbfcbd8fc, action=0xa08b1e8, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:965
#8  0x04132f8b in QMenuPrivate::activateAction (this=0xa0924d8, action=0xa08b1e8, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1058
#9  0x04133ab7 in QMenu::mouseReleaseEvent (this=0xa08e4a8, e=0xbfcbdf40) at widgets/qmenu.cpp:2252
#10 0x007b4865 in KMenu::mouseReleaseEvent (this=0xa08e4a8, e=0xbfcbdf40) at /usr/src/debug/kdelibs-4.2.2/kdeui/widgets/kmenu.cpp:454
#11 0x03d08487 in QWidget::event (this=0xa08e4a8, event=0xbfcbdf40) at kernel/qwidget.cpp:7516
#12 0x04135dbc in QMenu::event (this=0xa08e4a8, e=0xbfcbdf40) at widgets/qmenu.cpp:2351
#13 0x03cb2cfc in QApplicationPrivate::notify_helper (this=0x9ffe3d0, receiver=0xa08e4a8, e=0xbfcbdf40) at kernel/qapplication.cpp:4084
#14 0x03cba9fb in QApplication::notify (this=0xbfcbf98c, receiver=0xa08e4a8, e=0xbfcbdf40) at kernel/qapplication.cpp:3786
#15 0x006d0fda in KApplication::notify (this=0xbfcbf98c, receiver=0xa08e4a8, event=0xbfcbdf40) at /usr/src/debug/kdelibs-4.2.2/kdeui/kernel/kapplication.cpp:307
#16 0x00c366db in QCoreApplication::notifyInternal (this=0xbfcbf98c, receiver=0xa08e4a8, event=0xbfcbdf40) at kernel/qcoreapplication.cpp:602
#17 0x03cb9a7e in QCoreApplication::sendSpontaneousEvent (event=<value optimized out>, receiver=<value optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:216
#18 QApplicationPrivate::sendMouseEvent (event=<value optimized out>, receiver=<value optimized out>) at kernel/qapplication.cpp:2940
#19 0x03d2912f in QETWidget::translateMouseEvent (this=0xa08e4a8, event=0xbfcbe53c) at kernel/qapplication_x11.cpp:4359
#20 0x03d280f2 in QApplication::x11ProcessEvent (this=0xbfcbf98c, event=0xbfcbe53c) at kernel/qapplication_x11.cpp:3421
#21 0x03d53142 in x11EventSourceDispatch (s=0x9fffbe8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#22 0x07acc1e8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#23 0x07acf7f8 in ?? () from /lib/libglib-2.0.so.0
#24 0x07acf96a in g_main_context_iteration () from /lib/libglib-2.0.so.0
#25 0x00c61bcc in QEventDispatcherGlib::processEvents (this=0x9fced68, flags={i = 36}) at kernel/qeventdispatcher_glib.cpp:323
#26 0x03d52825 in QGuiEventDispatcherGlib::processEvents (this=0x9fced68, flags={i = 36}) at kernel/qguieventdispatcher_glib.cpp:202
#27 0x00c34c69 in QEventLoop::processEvents (this=0xbfcbe830, flags=) at kernel/qeventloop.cpp:149
#28 0x00c350b2 in QEventLoop::exec (this=0xbfcbe830, flags={i = 0}) at kernel/qeventloop.cpp:200
#29 0x04135c0e in QMenu::exec (this=0xa071fd0, p=@0xbfcbe8cc, action=0x0) at widgets/qmenu.cpp:1991
#30 0x041422da in QPushButtonPrivate::_q_popupPressed (this=0xa08a450) at widgets/qpushbutton.cpp:611
#31 0x04143958 in QPushButton::qt_metacall (this=0xa079b38, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfcbe9cc) at .moc/release-shared/moc_qpushbutton.cpp:74
#32 0x007c1f8a in KPushButton::qt_metacall (this=0xa079b38, _c=QMetaObject::InvokeMetaMethod, _id=40, _a=0xbfcbe9cc) at /usr/src/debug/kdelibs-4.2.2/i586-redhat-linux-gnu/kdeui/kpushbutton.moc:70
#33 0x00c4c948 in QMetaObject::activate (sender=0xa079b38, from_signal_index=27, to_signal_index=27, argv=0x0) at kernel/qobject.cpp:3069
#34 0x00c4d5e2 in QMetaObject::activate (sender=0xa079b38, m=0x4553804, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3143
#35 0x0436f547 in QAbstractButton::pressed (this=0xa079b38) at .moc/release-shared/moc_qabstractbutton.cpp:187
#36 0x04097ac9 in QAbstractButtonPrivate::emitPressed (this=0xa08a450) at widgets/qabstractbutton.cpp:557
#37 0x04097cc1 in QAbstractButton::mousePressEvent (this=0xa079b38, e=0xbfcbeff0) at widgets/qabstractbutton.cpp:1092
#38 0x007c1bc1 in KPushButton::mousePressEvent (this=0x6, e=0xa08b1e8) at /usr/src/debug/kdelibs-4.2.2/kdeui/widgets/kpushbutton.cpp:226
#39 0x03d0846b in QWidget::event (this=0xa079b38, event=0xbfcbeff0) at kernel/qwidget.cpp:7512
#40 0x04097dce in QAbstractButton::event (this=0xa079b38, e=0xa08b1e8) at widgets/qabstractbutton.cpp:1077
#41 0x0414378d in QPushButton::event (this=0xa079b38, e=0xbfcbeff0) at widgets/qpushbutton.cpp:662
#42 0x03cb2cfc in QApplicationPrivate::notify_helper (this=0x9ffe3d0, receiver=0xa079b38, e=0xbfcbeff0) at kernel/qapplication.cpp:4084
#43 0x03cba9fb in QApplication::notify (this=0xbfcbf98c, receiver=0xa079b38, e=0xbfcbeff0) at kernel/qapplication.cpp:3786
#44 0x006d0fda in KApplication::notify (this=0xbfcbf98c, receiver=0xa079b38, event=0xbfcbeff0) at /usr/src/debug/kdelibs-4.2.2/kdeui/kernel/kapplication.cpp:307
#45 0x00c366db in QCoreApplication::notifyInternal (this=0xbfcbf98c, receiver=0xa079b38, event=0xbfcbeff0) at kernel/qcoreapplication.cpp:602
#46 0x03cb9a7e in QCoreApplication::sendSpontaneousEvent (event=<value optimized out>, receiver=<value optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:216
#47 QApplicationPrivate::sendMouseEvent (event=<value optimized out>, receiver=<value optimized out>) at kernel/qapplication.cpp:2940
#48 0x03d28c40 in QETWidget::translateMouseEvent (this=0xa075018, event=0xbfcbf5ec) at kernel/qapplication_x11.cpp:4425
#49 0x03d280f2 in QApplication::x11ProcessEvent (this=0xbfcbf98c, event=0xbfcbf5ec) at kernel/qapplication_x11.cpp:3421
#50 0x03d53142 in x11EventSourceDispatch (s=0x9fffbe8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#51 0x07acc1e8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#52 0x07acf7f8 in ?? () from /lib/libglib-2.0.so.0
#53 0x07acf96a in g_main_context_iteration () from /lib/libglib-2.0.so.0
#54 0x00c61bcc in QEventDispatcherGlib::processEvents (this=0x9fced68, flags={i = 36}) at kernel/qeventdispatcher_glib.cpp:323
#55 0x03d52825 in QGuiEventDispatcherGlib::processEvents (this=0x9fced68, flags={i = 36}) at kernel/qguieventdispatcher_glib.cpp:202
#56 0x00c34c69 in QEventLoop::processEvents (this=0xbfcbf8e4, flags=) at kernel/qeventloop.cpp:149
#57 0x00c350b2 in QEventLoop::exec (this=0xbfcbf8e4, flags={i = 0}) at kernel/qeventloop.cpp:200
#58 0x00c3743f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
#59 0x03cb2b77 in QApplication::exec () at kernel/qapplication.cpp:3553
#60 0x08056aa7 in main (argc=1, argv=0xbfcbfae4) at /usr/src/debug/yakuake-2.9.4/app/main.cpp:82
Comment 6 Milos Jakubicek 2009-04-16 19:03:48 EDT
Created attachment 339938 [details]
Upstream patch

There has been an upstream patch already (see attached), please fix this in CVS and release updates soon (otherwise I'll do that). I'd also suggest requesting a final freeze break for F11, see https://fedoraproject.org/wiki/ReleaseEngineering/FinalFreezePolicy for instructions how to proceed.
Comment 7 Johan Cwiklinski 2009-04-17 02:13:38 EDT
Okay, thanks for the patch.

I'll work on this as soon as possible
Comment 8 Fedora Update System 2009-04-17 19:09:04 EDT
yakuake-2.9.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yakuake-2.9.4-2.fc10
Comment 9 Fedora Update System 2009-04-17 19:09:09 EDT
yakuake-2.9.4-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yakuake-2.9.4-2.fc9
Comment 10 Kevin Kofler 2009-04-20 17:19:30 EDT
Can you please queue your updates for stable? The Qt 4.5 update is going to stable now.
Comment 11 Fedora Update System 2009-04-21 20:52:37 EDT
yakuake-2.9.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-04-21 21:10:49 EDT
yakuake-2.9.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Milos Jakubicek 2009-05-05 07:39:56 EDT
Please request a freeze break so that this gets resolved for F11 as I noted in comment #6 (or, at least, release a zero-day update for F11, but I'd rather see the new build tagged for dist-f11).
Comment 14 Rex Dieter 2009-05-05 08:56:25 EDT
I'd support tagging for f-11 final
Comment 15 Kevin Kofler 2009-05-05 14:51:09 EDT
F11 already has yakuake-2.9.4-2.fc11.
Comment 16 Milos Jakubicek 2009-05-05 15:35:59 EDT
Yes, Kevin, but the fix is in yakuake-2.9.4-3.fc11 :)
Comment 17 Kevin Kofler 2009-05-05 15:43:22 EDT
Ugh, I hate people using different Release tags across branches. (In this case it doesn't break the upgrade path, but it's still confusing, e.g. it falsely made me believe F11 already had the fixed build.)
Comment 18 Milos Jakubicek 2009-05-09 06:31:01 EDT
Reopening until this will be fixed in F11 somehow.
Comment 19 Kevin Kofler 2009-05-13 10:01:25 EDT
I filed https://fedorahosted.org/rel-eng/ticket/1803 – hopefully it's not too late. If rel-eng says it's too late, I'll queue it as an update (directly to stable).

(Sorry for not handling this sooner, but I'd have expected the maintainer to do it...)
Comment 20 Milos Jakubicek 2009-05-13 11:34:00 EDT
Kevin: No reason to be sorry (I had the same expectations:) & thanks.
Comment 21 Kevin Kofler 2009-05-13 14:26:02 EDT
Tagged into f11-final now.
Comment 22 Johan Cwiklinski 2009-05-19 02:24:36 EDT
(In reply to comment #19)
> (Sorry for not handling this sooner, but I'd have expected the maintainer to do
> it...)  

Sorry about that, I had no time last weeks to take care of my packages :/

I thought that this bug was not severe enough to request a freeze break ; seems that I was wrong.

Anyways, thank you Kevin to handle that.

Note You need to log in before you can comment on or make changes to this bug.